Package org.springframework.aop.interceptor

# Class SimpleAsyncUncaughtExceptionHandler

java.lang.Object
org.springframework.aop.interceptor.SimpleAsyncUncaughtExceptionHandler

All Implemented Interfaces:
  `AsyncUncaughtExceptionHandler`

public class SimpleAsyncUncaughtExceptionHandler extends Object implements AsyncUncaughtExceptionHandler
A default `AsyncUncaughtExceptionHandler` that simply logs the exception.

Since:
  4.1
Author:
  Stephane Nicoll, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`SimpleAsyncUncaughtExceptionHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleUncaughtException(Throwable ex, Method method, Object... params)`
Handle the given uncaught exception thrown from an asynchronous method.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleAsyncUncaughtExceptionHandler

public SimpleAsyncUncaughtExceptionHandler()

## Method Details

### handleUncaughtException

public void handleUncaughtException(Throwable ex, Method method, Object... params)
Description copied from interface: `AsyncUncaughtExceptionHandler`
Handle the given uncaught exception thrown from an asynchronous method.

Specified by:
  `handleUncaughtException` in interface `AsyncUncaughtExceptionHandler`
Parameters:
  `ex` - the exception thrown from the asynchronous method
  `method` - the asynchronous method
  `params` - the parameters used to invoke the method